<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Map</title>
        <link rel="stylesheet" href="assets/css/points.css?v=39"/>
        <script src="assets/js/points.js?v=39"></script>
        <script type="text/javascript">
            if ( window.location.host === 'stage.fspoints.com' ) {
                fs_points_map_stage();
            }

            function fs_points_map_selected_point( point ) {
                let point_div = document.getElementById('point');
                point_div.innerHTML = JSON.stringify( point, null, 2 );
                fs_points_map_with_point( document.getElementsByClassName('minimap')[0], point.id );
            }
        </script>
    </head>
    <body>
        <div>
            <button onclick="fs_points_map_popup(fs_points_map_selected_point);">Choose point from map - no location entered</button>
            <br/><br/>
            <br/><br/>
            <button onclick="fs_points_map_popup(fs_points_map_selected_point, 'Partynicka 42, 53-031 Wrocław', 51.0656477,16.9961312 );">Choose point from map - all providers</button>
            <br/><br/>
            <button onclick="fs_points_map_popup(fs_points_map_selected_point, 'Partynicka 42, 53-031 Wrocław', 51.0656477,16.9961312, 'inpost,dhl' );">Choose point from map - inpost and dhl</button>
            <br/><br/>
            <button onclick="fs_points_map_popup(fs_points_map_selected_point, 'Partynicka 42, 53-031 Wrocław', 51.0656477,16.9961312, 'inpost' );">Choose point from map - inpost only</button>
            <br/><br/>
            <br/><br/>
            <button onclick="fs_points_map_popup(fs_points_map_selected_point,'',null,null,'dpd','PL,DE');">Choose point from map - no location entered, DPD only, PL and DE only</button>
            <br/><br/>
        </div>
        <div class="point">
            <div class="minimap" style="width: 400px; height: 400px; float:left;">
            </div>
            <div>
                <pre id="point">
                </pre>
            </div>
        </div>
    </body>
</html>